## cappuccino 0.5.1

=== debian/changelog ===
cappuccino (0.5.1-10.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/remove_distutils.patch: Remove use of distutils in favor
    of setuptools.
  * d/control: Remove python3-distutils from Build Dependency. Add
    python3-setuptools instead (Closes: #1065837).
  * d/rules: Copy extra data files to installation directory to run
    polygen.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 10 Jul 2024 20:52:28 -0300

cappuccino (0.5.1-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format. Closes: #1043080

 -- Bastian Germann <bage@debian.org>  Mon, 02 Oct 2023 22:40:34 +0200

cappuccino (0.5.1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999145).

 -- Marcos Talau <talau@debian.org>  Wed, 02 Nov 2022 17:41:30 -0300

cappuccino (0.5.1-10) unstable; urgency=medium

  * Bumped the compat version to 7. Closes: #965446

 --  Breno Leitao <leitao@debian.org>  Sat, 14 May 2022 08:29:28 +0100

cappuccino (0.5.1-9.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 16:10:43 +0100

cappuccino (0.5.1-9) unstable; urgency=medium

  * python3.6 dropped dependency for python3-distutils, which this package
    uses. Explicitly adding it at our package dependency. Closes: #896752

 -- Breno Leitao <leitao@debian.org>  Wed, 25 Apr 2018 08:32:19 -0400

cappuccino (0.5.1-8) unstable; urgency=medium

  * Fixes broken symlink in /usr/games. Closes: #880714
    - Thanks to Chris Lamb.

 -- Breno Leitao <leitao@debian.org>  Mon, 06 Nov 2017 14:25:01 -0500

cappuccino (0.5.1-7) unstable; urgency=medium

  * Adding gir1.2-gtk-3.0 as a dependency. Closes: #879848
  * Adding a link to /usr/games/cappuccino

 -- Breno Leitao <leitao@debian.org>  Fri, 03 Nov 2017 07:52:46 -0400

cappuccino (0.5.1-6) unstable; urgency=medium

  * Fix python dependency, moving the debian/rules file to
    python3. Closes: #837325

 -- Breno Leitao <leitao@debian.org>  Wed, 28 Sep 2016 13:53:24 -0400

cappuccino (0.5.1-5) unstable; urgency=medium

  * Added upstream Homepage.
  * Ported to Python version 3.
  * Ported to GTK version 3.

 -- Breno Leitao <leitao@debian.org>  Mon, 05 Sep 2016 12:59:55 -0400

cappuccino (0.5.1-4) unstable; urgency=medium

  * Fix segfault if DISPLAY is missing or invalid (Thanks to
    Chris Lamb). Closes: #799403
  * Make the build reproducible (Thanks to Chris Lamb). Closes: #799330

 -- Breno Leitao <leitao@debian.org>  Sat, 20 Aug 2016 17:37:28 -0300

cappuccino (0.5.1-3) unstable; urgency=medium

  * New maintainer. Closes: #831558
  * Fix a polygen 'path not found' issue. Closes #834849

 -- Breno Leitao <leitao@debian.org>  Fri, 19 Aug 2016 17:15:23 -0300

cappuccino (0.5.1-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Use debhelper 5. Closes: #817387
  * debian/rules clean: remove .grm.o files.

 -- Bill Allombert <ballombe@debian.org>  Sun, 24 Jul 2016 16:17:42 +0200

cappuccino (0.5.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - add /usr/games to PATH (for polygen). Closes: #720685
    - fix build target to actually build, and binary-arch to actually generate
      the package
  * debian/control
    - remove article from synopsis
    - add ${misc:Depends} to Depends

 -- Bill Allombert <ballombe@debian.org>  Thu, 10 Oct 2013 22:42:57 +0200

cappuccino (0.5.1-2.1) unstable; urgency=low

  * Non-maintainer upload, to prepare for Python 2.6 transition
  * debian/rules
     - use '--install-layout=deb' when installing; thanks to Jakub Wilk for the
       report; Closes: #571207
   * debian/control
     - bump b-d on python to '>= 2.5.3-1~', to support install-layout

 -- Sandro Tosi <morph@debian.org>  Mon, 01 Mar 2010 13:14:53 +0100

cappuccino (0.5.1-2) unstable; urgency=low

  * "Don Zauker" Release: the upload 
  * debian/control: we need polygen to build
  * debian/rules: now we build .grm.o files, to satisfy polygen
  * debian/rules: we remove build/ directory in cleaning

 -- Christian Surchi <csurchi@debian.org>  Mon, 20 Nov 2006 23:59:05 +0100

cappuccino (0.5.1-1) unstable; urgency=low
  
  * "Halloween Release": new upstream release
  * moved to Python, with new dependencies
  * depends on polygen to generate random messages from an internal grammar

 -- Christian Surchi <csurchi@debian.org>  Wed,  1 Nov 2006 00:08:15 +0100

cappuccino (0.4-3) unstable; urgency=low

  * Ack for the NMU fixed bug (thanks to Lars Wirzenius)
    - missing dependency: please recompile (Closes: #306151)
  * debian/changelog: new references and complete copyright info
  * debian/control: bumped policy version to 3.7.2

 -- Christian Surchi <csurchi@debian.org>  Mon, 24 Jul 2006 00:03:39 +0200

cappuccino (0.4-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Rebuilt since linc no longer in archive. Closes: #306151
    (the bug is release critical, hence the urgency).
  * debian/menu: Quoted values that weren't quoted, since that's what the
    menu file syntax requires.

 -- Lars Wirzenius <liw@iki.fi>  Thu, 28 Apr 2005 16:32:00 +0300

cappuccino (0.4-2) unstable; urgency=low

  * The "It's time for the upload" release
  * No DH_COMPAT in debian/rules, moved to debian/compat
  
 -- Christian Surchi <csurchi@debian.org>  Mon,  2 Jun 2003 15:40:36 +0200

cappuccino (0.4-1) unstable; urgency=low

  * New upstream release
  * Removed "emacsisms" in debian/changelog
  * Standard-Version from 3.5.5 to 3.5.8
  * Build-depends: no libgnome-dev anymore, only libgtk2.0-dev and
    libgconf2-dev
  * New debian/rules with DH_COMPAT=4 now

 -- Christian Surchi <csurchi@debian.org>  Fri, 17 Jan 2003 02:47:09 +0100

cappuccino (0.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #105715)

 -- Christian Surchi <csurchi@debian.org>  Fri,  3 Aug 2001 15:19:29 -0400


