=== debian/control ===
Source: cappuccino
Section: games
Priority: optional
Homepage: https://labs.truelite.it/projects/cappuccino
Maintainer: Breno Leitao <leitao@debian.org>
Standards-Version: 4.1.0
Build-Depends: debhelper (>> 5.0.0), python3, python3-setuptools, python3-gi, polygen

Package: cappuccino
Architecture: all
Depends: python3, python3-gi, polygen, ${misc:Depends},  gir1.2-gtk-3.0
Description: utility to let your boss think that you're working hard
 Run this software on your computer when you are not motivated to work, and
 enjoy doing something different. If your boss come in your cubicle, he'll
 think "Yeah, he's doing something different since his computer is really
 busy - He's doing something really important".
