=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PATH:=$(PATH):/usr/games

build: build-stamp

build-stamp:  
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#python setup.py build
	#/usr/bin/docbook-to-man debian/cappuccino.sgml > cappuccino.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -rf build/
	# Add here commands to clean up after the build process.
	python3 setup.py clean
	rm -f *.grm.o
	#-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/cappuccino.
	#$(MAKE) install prefix=$(CURDIR)/debian/cappuccino/usr
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/cappuccino
	python3 setup.py install --prefix=$(CURDIR)/debian/cappuccino/usr --install-layout=deb

	mkdir -p $(CURDIR)/debian/cappuccino/usr/share/cappuccino/
	cp $(CURDIR)/cappuccino.grm $(CURDIR)/debian/cappuccino/usr/share/cappuccino/
	cp $(CURDIR)/compileline.grm $(CURDIR)/debian/cappuccino/usr/share/cappuccino/
	cp $(CURDIR)/cappuccino.jpg $(CURDIR)/debian/cappuccino/usr/share/cappuccino/

	polygen -seed 0 $(CURDIR)/debian/cappuccino/usr/share/cappuccino/cappuccino.grm > /dev/null
	polygen -seed 0 $(CURDIR)/debian/cappuccino/usr/share/cappuccino/compileline.grm > /dev/null

	# As it is considered a game, put a link at /usr/games
	mkdir $(CURDIR)/debian/cappuccino/usr/games
	ln -s /usr/bin/cappuccino $(CURDIR)/debian/cappuccino/usr/games/cappuccino

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman cappuccino.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
